<?php
require_once('auth.php');
if(!$is_admin) { // this page is for admin only!
	auth401();
}
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>User management - RRZE NavEditor 2.0 - Prototype</title>
<link rel="stylesheet" type="text/css" href="css/styles.css" />

<script type="text/javascript" src="js/jquery-1.2.6.pack.js"></script>
<script type="text/javascript" src="js/json2.js"></script>
<script type="text/javascript">
var admin_uname = "<?php echo($_SERVER['SERVER_ADMIN']); ?>";

function loadContentCallback(data)
{
	var ulhtml = "<ul>";
	for(var i = 0; i < data.length; i++) {
		ulhtml += "<li><input class=\"button\" type=\"button\" id=\"E_" + data[i].user_name + "\" value=\"Edit\" /> <input class=\"button\" type=\"button\" id=\"D_" + data[i].user_name + "\" value=\"X\" /> " + data[i].user_name + "</li>";
	}
	ulhtml += "</ul>";
	$("#userList").html(ulhtml);
	
	$("#userList ul li input").click(function() {
		var operstr = $(this).attr("id");
		var operarr = operstr.split("_");
		var oper = operarr[0];
		var uname = operarr[1];
		if(oper == "E") {
			$("#btnUpdate").removeAttr("disabled");
			$("#txtUserName1").val(uname);
		}
		if(oper == "D") {
			if(confirm("Are you sure to remove this user?")) {
				removeUser(uname);
			}
		}
	});
}

function removeUser(userName)
{
	admin_uname = admin_uname.split("@");
	admin_uname = admin_uname[0];
	if(admin_uname == userName) {
		alert("You cannot remove SERVER_ADMIN!");
		return;
	}
	$.post("app/edit_user.php", {
		"json_oper": "remove_user",
		"user_name": userName
	}, removeUserCallback);
}

function removeUserCallback(data)
{
	alert(data);
	location.reload();
}

function updateUserCallback(data)
{
	alert(data);
	location.reload();
}

function createUserCallback(data)
{
	alert(data);
	location.reload();
}

/* ---------- Here comes jQuery: ---------- */
$(document).ready(function() {
	$.getJSON("app/edit_user.php?r=" + Math.random(), {
		"json_oper": "get_users"
	}, loadContentCallback);
	
	$("#btnUpdate").click(function() {
		$.post("app/edit_user.php", {
			"json_oper": "update_user",
			"user_name": $("#txtUserName1").val(),
			"new_password": $("#txtPassword1").val()
		}, updateUserCallback);
	});
	
	$("#btnCreate").click(function() {
		var userName = $("#txtUserName").val();
		var passWord = $("#txtPassword").val();
		if(userName == "" || passWord == "") {
			alert("User-Name and/or Password cannot be empty!");
			return;
		}
		$.post("app/edit_user.php", {
			"json_oper": "create_user",
			"user_name": userName,
			"password": passWord
		}, createUserCallback);
	});
});
</script>
</head>

<body>
<div id="wrapper">
	<h1 id="header">User management - RRZE NavEditor 2.0 - Prototype</h1>
	<div id="navBar">
		<script type="text/javascript" src="js/page_nav.js"></script>
	</div>
	
	<div id="contentPanel1">
		<form action="" method="post" name="frmEdit" id="frmEdit">
			<fieldset>
				<legend>Create User</legend>
				<label for="txtUserName">User-Name:</label>
				<input type="text" id="txtUserName" name="txtUserName" class="textBox" size="20" />
				<label for="txtPassword">Password:</label>
				<input type="password" id="txtPassword" name="txtPassword" class="textBox" size="20" />
				<input type="button" id="btnCreate" name="btnCreate" value="Create" class="button" />
			</fieldset>
			<fieldset>
				<legend>Update User</legend>
				<label for="txtUserName1">User-Name:</label>
				<input type="text" id="txtUserName1" name="txtUserName1" class="textBox" size="20" readonly="readonly" />
				<label for="txtPassword1">Password:</label>
				<input type="password" id="txtPassword1" name="txtPassword1" class="textBox" size="20" />
				<input type="button" id="btnUpdate" name="btnUpdate" value="Update" class="button" disabled="true" />
			</fieldset>
			<fieldset>
				<legend>Current User(s)</legend>
				<div id="userList"></div>
			</fieldset>
		</form>
	</div>
	
	<div id="footer">&copy; 2007-08 Ke.Chang@rrze.uni-erlangen.de</div>
</div>
</body>

</html>

